import commands
import glob
import os
import shutil
import sys

directory = sys.argv[1]
directory2 = sys.argv[2]
files = glob.glob("%s/*.processed" % (directory))
files.sort()
total = 0
changed = 0
unchanged = 0
for file in files:
	total += 1
	filepart = file.split(directory)[1]
	dirpart = file.split("/")[0]
	packetpart = filepart.split(".")[0]
	packetpart2 = packetpart + "%em1.pcap.txt"
	rv = commands.getstatusoutput("diff -u %s/%s %s/%s" % (directory, filepart, directory2, filepart))
	if rv[0] != 0:
		rv = commands.getstatusoutput("tkdiff -u %s/%s %s/%s" % (directory, filepart, directory2, filepart))
		changed += 1
		print "Differences found in", packetpart
	else:
		unchanged += 1
print "%s total files, %s changed, %s unchanged" % (total, changed, unchanged)

