import commands
import os
import signal
import socket
import sys
import time

datasize = 2**16
timeout = 90
sock = None

if os.path.exists('/boot/kernel/netstat'):
	ns_path='/boot/kernel/netstat'
else:
	ns_path='netstat'

def alarm_handler(arg1, arg2):
	print timeout, "second timeout; exiting."
	sys.exit(1)

rv = commands.getstatusoutput("%s -na | grep 10000 | grep LISTEN" % (ns_path))
if rv[0] == 256:
	print "Error, either netstat or the server is not working!"
	sys.exit(1)
signal.signal(signal.SIGALRM, alarm_handler)
signal.alarm(timeout)

sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
sock.connect((sys.argv[1], 10000))
total = 0
# This hangs sometimes with data in the recv-q - probably
#some sort of MSG_WAITALL bug.  Should set an alarm
#to handle this case.
while total < datasize:
	data = sock.recv(datasize, socket.MSG_WAITALL)
	total += len(data)
print "%s bytes received" % (total)
time.sleep(1)
sock.close()
